Sets the fill color to be used for drawing filled objects

- « ImagickDraw::setFillAlpha

- ImagickDraw::setFillOpacity »

- PHP Manual
- ImagickDraw
- Sets the fill color to be used for drawing filled objects

# ImagickDraw::setFillColor

(PECL imagick 2, PECL imagick 3)

ImagickDraw::setFillColor — Sets the fill color to be used for drawing filled objects

### Description

public ImagickDraw::setFillColor(ImagickPixel|string `$fill_color`): bool
Warning

This function is currently not documented; only its argument list is available.

Sets the fill color to be used for drawing filled objects.

### Parameters

`fill_color`

  ImagickPixel to use to set the color

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::setFillColor()

    <?php
    function setFillColor($strokeColor, $fillColor, $backgroundColor) {

        $draw = new \ImagickDraw();

        $draw->setStrokeOpacity(1);
        $draw->setStrokeWidth(1.5);
        $draw->setStrokeColor($strokeColor);
        $draw->setFillColor($fillColor);
        $draw->rectangle(50, 50, 150, 150);

        $draw->setFillColor("rgb(200, 32, 32)");
        $draw->rectangle(200, 50, 300, 150);

        $image = new \Imagick();
        $image->newImage(500, 500, $backgroundColor);
        $image->setImageFormat("png");

        $image->drawImage($draw);

        header("Content-Type: image/png");
        echo $image->getImageBlob();
    }

    ?>